org.eclipse.eef.core.api

## Interface EEFPage

All Known Implementing Classes:
  EEFPageImpl

    public interface EEFPage

The `EEFPage` will control the content of a tab.

### Method Summary

All Methods Instance Methods Abstract Methods
`EEFPageDescription` `getDescription()` Returns the description of the `EEFPage`.
`java.util.List<EEFGroup>` `getGroups()` Returns the `EEFGroup` composing this `EEFPage`.
`org.eclipse.sirius.common.interpreter.api.IInterpreter` `getInterpreter()` Returns the interpreter.
`org.eclipse.sirius.common.interpreter.api.IVariableManager` `getVariableManager()` Returns the variable manager.
`EEFView` `getView()` Returns the view containing the page.
`boolean` `isUnique()` Indicates if this page is the only instantiation of the page description.

### Method Detail

#### getDescription

    EEFPageDescription getDescription()

Returns the description of the `EEFPage`.

Returns:
  The `EEFPageDescription`

#### getGroups

    java.util.List<EEFGroup> getGroups()

Returns the `EEFGroup` composing this `EEFPage`.

Returns:
  The `EEFGroup`

#### getView

    EEFView getView()

Returns the view containing the page.

Returns:
  The view containing the page

#### getVariableManager

    org.eclipse.sirius.common.interpreter.api.IVariableManager getVariableManager()

Returns the variable manager.

Returns:
  The variable manager

#### getInterpreter

    org.eclipse.sirius.common.interpreter.api.IInterpreter getInterpreter()

Returns the interpreter.

Returns:
  The interpreter

#### isUnique

    boolean isUnique()

Indicates if this page is the only instantiation of the page description.

Returns:
  `true` if this page is the only page created from the page description, `false` otherwise.